define([
  "dojo/_base/declare",
  "aps/common",
  "aps/i18n",
  "aps/nav/ViewPlugin",
  "module"
], function(declare, common, i18n, ViewPlugin, module) {
	/* Translation function - requires translation from the view-plugin package */
	var _ = i18n.bindToPackage(common.getPackageId(module));

	return declare(ViewPlugin, {
		/* Displayed resources */
		apsType:    "http://aps-standard.org/samples/sample-basic/vps",
		
		/* Button label */
		addResourceLabel:   _("Create new VPS"),
		
		/* Message displayed when there are no resources to show */
		noResourcesText: _("No virtual servers discovered"),
		
		/* On button click - go to 'Add Resource' view */
		addResourceViewId:    "http://aps-standard.org/samples/sample-basic#server-new-1",
		
		/* On tile click - go to the servers list */
		entryViewId:  "http://aps-standard.org/samples/sample-basic#servers"
	});
});
